using GameAtlas.Models;
using System.Diagnostics;

namespace GameAtlas.Views;

public partial class PageJeu : ContentPage
{
    public Jeu JeuModel { get; set; }

	public Manager JeuManager { get; set; } = new Manager();

    public PageJeu()
	{
		InitializeComponent();

        BindingContext = JeuManager;
    }

    public PageJeu(Jeu jeu)
    {

        JeuModel = jeu;

        InitializeComponent();

        this.BindingContext = this;


    }

    async void OnAddTapped(System.Object sender, Microsoft.Maui.Controls.TappedEventArgs e)
    {
        string action = await DisplayActionSheet("Choix de la liste:", "Annuler", null, "Mes Favoris", "Jeux Possds", "Ma Wishlist");
        Debug.WriteLine("Popup Action: " + action);

        if (action == "Mes Favoris")
        {
            Debug.WriteLine(JeuManager.ConnectedUser.Pseudo);
            // On dirait que le Bug est caus car mme si on est connect, ConnectedUser = null.
            JeuManager.ConnectedUser.ListeFavoris.Add(JeuModel);
        }

    }

    async void Back_Tapped(System.Object sender, Microsoft.Maui.Controls.TappedEventArgs e)
    {
        await Navigation.PopAsync();
    }
}